HomeDocumentationAPI Endpoints
Log In
API Endpoints

Bank Account Journey

Preconfigured Journeys to verify Bank Account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This is the pre-configured journey to perform the Bank Account Verification using Bank Account Number and IFSC code.


Bank Account Verification

The businesses can configure these checks with our Bank Account Verification journey

Journey Input Data

{
  "account_number": "<BankAccount number>",
  "ifsc": "<Ifsc of the BankAccount>"
}

Journey Output Data

{
  "transaction_id": "",
  "journey_transaction_id": "",
  "journey_id": "",
  "status": "SUCCESS|FAILURE|IN_PROGRESS",
  "status_code": "Refer to the table below",
  "message": "Refer to the table below",
  "decision": "CLEAR|MUST REVIEW|NEEDS REVIEW",
  "checks": [],
  "data": {
    "keys": {
      "bank_account": [
        {
          "account_number": "<BankAccount number>",
          "name": "",
          "ifsc": "",
          "bank_name": "",
          "branch_name": "",
          "source": "",
          "issuer": "",
          "decision": "",
          "checks": []
        }
      ]
    }
  }
}

📘

This journey does not include any pre-configured Ownership or Fraud Checks. To configure these checks, please contact your Account Manager.

Status Codes

ScenarioHttpStatusstatusstatus_codemessage
When request is successful and Bank Account details are available.200SUCCESSsuccessRequest successful
When Bank Account is not valid200FAILUREinvalid_inputBank Account No is Invalid
When IFSC code is not valid200FAILUREinvalid_ifscIFSC is invalid
When no details found at Source for given Bank Account Number200FAILUREdocument_not_foundEntity not found
When Input doesn't contain the account_number or IFSC field.400FAILUREinvalid_inputaccount_number and IFSC are required
Any unhandled error from Equal's end500FAILUREinternal_server_errorSomething went wrong, please try again.
Too many requests429No object will be sent, throttling happens at the gateway level.
Service Unavailable503
Invalid Client Credentials401FAILUREinvalid_credentialsInvalid Client Credentials

Status (Journey Status)

Possible ValuesDescription
SUCCESSShows that the verification process was completed successfully.
FAILUREIndicates that the verification process did not succeed.
IN_PROGRESSSignifies that the verification process is currently underway and has not yet been completed.

Decision

Possible ValuesDescription
CLEARIndicates that the verification has been completed and the information is confirmed as accurate and legitimate.
MUST REVIEWSignifies that further review is needed due to potential issues or inconsistencies in the verification results.
NEEDS REVIEWSuggests that the verification has identified areas that require further investigation or clarification before a final determination can be made.
📘

Journey ID will be shared as part of Onboarding

Key Descriptions

KeyDescription
transaction_idUnique identifier for the transaction.
journey_transaction_idUnique identifier for the journey transaction.
journey_idUnique identifier for the journey.
statusCurrent status of the transaction. Possible values: SUCCESS, FAILURE, IN_PROGRESS.
status_codeCode representing the specific status of the transaction. Refer to the documentation for possible values.
messageDetailed message about the transaction status. Refer to the documentation for specific messages.
decisionFinal decision based on all checks. Possible values: CLEAR, MUST REVIEW, NEEDS REVIEW.
checksList of checks performed during the transaction.
bank_accountList of bank account-related data points.
account_numberBank account number for verification.
nameName of the account holder.
ifscIFSC code of the bank branch.
bank_nameName of the bank where the account is held.
branch_nameName of the branch where the account is held.
sourceSource from which the data was extracted (e.g., bank records).
issuerIssuer of the bank account (e.g., bank).
decision (specific key)Decision for this specific key based on the checks performed. Possible values: CLEAR, MUST REVIEW, NEEDS REVIEW.
checks (specific key)List of checks performed on this specific key.
Body Params
string
required

The exchange transaction ID is generated by invoking the Initialise Exchange Transaction API. This identifier groups various verification journey requests into a single transaction, enabling the sharing and accessing of data across different verification processes. This facilitates checks such as matching the Aadhaar name with the Bank Account name, comparing the Aadhaar photo with a live image, and more.

string
required
Defaults to bank_account_dev_test_v1

A journey ID stores all the configuration details that are applied as part of the verification process. This ID is provided by Equal and is unique for each verification journey.

input_data
object
required

The dynamic journey input data object structure varies depending on the journey_id and the configurations set for the specific journey. For example, Bank Account verifications journey will have input parameters like Bank Account Number and IFSC code.

string

You can pass a request ID to uniquely identify each attempt of the verification journey separately on your end.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json